<?php
/**
 * @file
 * ocio_landing_page.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function ocio_landing_page_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'landing-page-layout';
  $context->description = '';
  $context->tag = 'OCIO Landing Page';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'ocio_landing_page' => 'ocio_landing_page',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'ds_extras-ds_hero' => array(
          'module' => 'ds_extras',
          'delta' => 'ds_hero',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'ds_extras-ds_footer' => array(
          'module' => 'ds_extras',
          'delta' => 'ds_footer',
          'region' => 'pre_footer',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('OCIO Landing Page');
  $export['landing-page-layout'] = $context;

  return $export;
}
