<?php
/**
 * @file
 * ocio_wysiwyg.features.wysiwyg.inc
 */

/**
 * Implements hook_wysiwyg_default_profiles().
 */
function ocio_wysiwyg_wysiwyg_default_profiles() {
  $profiles = array();

  // Exported profile: filtered_html
  $profiles['filtered_html'] = array(
    'format' => 'filtered_html',
    'editor' => 'ckeditor',
    'settings' => array(
      'default' => 1,
      'user_choose' => 0,
      'show_toggle' => 1,
      'add_to_summaries' => 1,
      'theme' => '',
      'language' => 'en',
      'buttons' => array(
        'default' => array(
          'Bold' => 1,
          'Italic' => 1,
          'Underline' => 1,
          'JustifyLeft' => 1,
          'JustifyCenter' => 1,
          'JustifyRight' => 1,
          'BulletedList' => 1,
          'NumberedList' => 1,
          'Unlink' => 1,
          'Blockquote' => 1,
          'HorizontalRule' => 1,
          'Paste' => 1,
          'ShowBlocks' => 1,
          'Format' => 1,
          'Styles' => 1,
          'Table' => 1,
          'Scayt' => 1,
        ),
        'linkit' => array(
          'linkit' => 1,
        ),
        'ocio_ckeditor_media' => array(
          'ocio_ckeditor_media' => 1,
        ),
        'accordion' => array(
          'accordion' => 1,
        ),
        'pasteformat' => array(
          'pasteformat' => 1,
        ),
        'drupal' => array(
          'media' => 1,
        ),
      ),
      'toolbarLocation' => 'top',
      'resize_enabled' => 1,
      'default_toolbar_grouping' => 1,
      'simple_source_formatting' => 0,
      'acf_mode' => 0,
      'acf_allowed_content' => '',
      'css_setting' => 'none',
      'css_path' => '',
      'stylesSet' => 'Tagline=div.tagline
Subhead=p.subhead
Intro Text=p.intro-text
Callout=div.callout
Button=a.button',
      'block_formats' => 'p,h2,h3,h4',
      'advanced__active_tab' => 'edit-css',
      'forcePasteAsPlainText' => 0,
    ),
  );

  return $profiles;
}
