<?php
/**
 * @file
 * ocio_image_styles.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_image_styles_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "file_entity" && $api == "file_default_displays") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function ocio_image_styles_image_default_styles() {
  $styles = array();

  // Exported image style: image_style_full.
  $styles['image_style_full'] = array(
    'label' => 'Image Style Full',
    'effects' => array(),
  );

  // Exported image style: image_style_large.
  $styles['image_style_large'] = array(
    'label' => 'Image Style Large',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 600,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: image_style_small.
  $styles['image_style_small'] = array(
    'label' => 'Image Style Small',
    'effects' => array(
      4 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 400,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: teaser_image.
  $styles['teaser_image'] = array(
    'label' => 'Teaser Image',
    'effects' => array(
      4 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 220,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}
