<?php
// Plugin definition
$plugin = array(
  'title' => t('Tiles and Equal Columns'),
  'icon' => 'ocio-omega-tiles-equalcol.png',
  'category' => t('WCM Layouts'),
  'theme' => 'ocio_omega_tiles_equalcol',
  'css' => 'ocio-omega-tiles-equalcol.css',
  'regions' => array(
    'header' => t('Header'),
    'tiles_header' => t('Tiles Header'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'column1' => t('First Column'),
    'column2' => t('Second Column'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_ocio_omega_tiles_equalcol().
 */
function template_preprocess_ocio_omega_tiles_equalcol(&$vars) {
  $rows = array(
    'header' => array('header'),
    'tiles' => array('tiles_header','tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'tile6', 'tile7', 'tile8', 'tile9'),
    'columns' => array('column1','column2'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_base_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_base_panel_row_classes();
}
